VULKAN_HPP_NAMESPACE::SpecializationMapEntry Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| SpecializationMapEntry (uint32_t constantID_=0, uint32_t offset_=0, size_t size_=0)
| SpecializationMapEntry (VkSpecializationMapEntry const &rhs)
SpecializationMapEntry & | operator= (VkSpecializationMapEntry const &rhs)
SpecializationMapEntry & | setConstantID (uint32_t constantID_)
SpecializationMapEntry & | setOffset (uint32_t offset_)
SpecializationMapEntry & | setSize (size_t size_)
| operator VkSpecializationMapEntry const & () const
| operator VkSpecializationMapEntry & ()
bool | operator== (SpecializationMapEntry const &rhs) const
bool | operator!= (SpecializationMapEntry const &rhs) const

## Data Fields

uint32_t | constantID
uint32_t | offset
size_t | size

## Detailed Description

Definition at line 5930 of file vulkan.hpp.

## Constructor & Destructor Documentation

## SpecializationMapEntry() [1/2]

VULKAN_HPP_NAMESPACE::SpecializationMapEntry::SpecializationMapEntry | ( | uint32_t | constantID_ = `0`,
|  | uint32_t | offset_ = `0`,
|  | size_t | size_ = `0`
| ) |  |

inline

Definition at line 5932 of file vulkan.hpp.

: constantID( constantID_ )
, offset( offset_ )
, size( size_ )
{
}

## SpecializationMapEntry() [2/2]

VULKAN_HPP_NAMESPACE::SpecializationMapEntry::SpecializationMapEntry | ( | VkSpecializationMapEntry const & | rhs | ) |

inline

Definition at line 5941 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SpecializationMapEntry ) );
}

References memcpy.

## Member Function Documentation

## operator VkSpecializationMapEntry &()

VULKAN_HPP_NAMESPACE::SpecializationMapEntry::operator VkSpecializationMapEntry & | ( |  | ) |

inline

Definition at line 5974 of file vulkan.hpp.

{
return *reinterpret_cast<VkSpecializationMapEntry*>(this);
}

## operator VkSpecializationMapEntry const &()

VULKAN_HPP_NAMESPACE::SpecializationMapEntry::operator VkSpecializationMapEntry const & | ( |  | ) | const

inline

Definition at line 5969 of file vulkan.hpp.

{
return *reinterpret_cast<const VkSpecializationMapEntry*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::SpecializationMapEntry::operator!= | ( | SpecializationMapEntry const & | rhs | ) | const

inline

Definition at line 5986 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

SpecializationMapEntry& VULKAN_HPP_NAMESPACE::SpecializationMapEntry::operator= | ( | VkSpecializationMapEntry const & | rhs | ) |

inline

Definition at line 5946 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SpecializationMapEntry ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::SpecializationMapEntry::operator== | ( | SpecializationMapEntry const & | rhs | ) | const

inline

Definition at line 5979 of file vulkan.hpp.

{
return ( constantID == rhs.constantID )
&& ( offset == rhs.offset )
&& ( size == rhs.size );
}

References constantID, offset, and size.

Referenced by operator!=().

## setConstantID()

SpecializationMapEntry& VULKAN_HPP_NAMESPACE::SpecializationMapEntry::setConstantID | ( | uint32_t | constantID_ | ) |

inline

Definition at line 5951 of file vulkan.hpp.

{
constantID = constantID_;
return *this;
}

References constantID.

## setOffset()

SpecializationMapEntry& VULKAN_HPP_NAMESPACE::SpecializationMapEntry::setOffset | ( | uint32_t | offset_ | ) |

inline

Definition at line 5957 of file vulkan.hpp.

{
offset = offset_;
return *this;
}

## setSize()

SpecializationMapEntry& VULKAN_HPP_NAMESPACE::SpecializationMapEntry::setSize | ( | size_t | size_ | ) |

inline

Definition at line 5963 of file vulkan.hpp.

{
size = size_;
return *this;
}

## Field Documentation

## constantID

uint32_t VULKAN_HPP_NAMESPACE::SpecializationMapEntry::constantID

Definition at line 5991 of file vulkan.hpp.

Referenced by operator==(), and setConstantID().

## offset

uint32_t VULKAN_HPP_NAMESPACE::SpecializationMapEntry::offset

Definition at line 5992 of file vulkan.hpp.

Referenced by operator==().

## size

size_t VULKAN_HPP_NAMESPACE::SpecializationMapEntry::size

Definition at line 5993 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::SpecializationMapEntry::operator==
bool operator==(SpecializationMapEntry const &rhs) const
Definition: vulkan.hpp:5979
offset
GLintptr offset
Definition: SDL_opengl_glext.h:538
VULKAN_HPP_NAMESPACE::SpecializationMapEntry::offset
uint32_t offset
Definition: vulkan.hpp:5992
VULKAN_HPP_NAMESPACE::SpecializationMapEntry::constantID
uint32_t constantID
Definition: vulkan.hpp:5991
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::SpecializationMapEntry::SpecializationMapEntry
SpecializationMapEntry(uint32_t constantID_=0, uint32_t offset_=0, size_t size_=0)
Definition: vulkan.hpp:5932
size
GLsizeiptr size
Definition: SDL_opengl_glext.h:537
VkSpecializationMapEntry
Definition: vulkan_core.h:2284
VULKAN_HPP_NAMESPACE::SpecializationMapEntry::size
size_t size
Definition: vulkan.hpp:5993